package com.ruoyi.system.mapper.house;

import com.ruoyi.system.domain.house.HouseResourceAssociationObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HouseResourceAssociationObjectMapper {

    void insertHouseResourceObjectAssociation(HouseResourceAssociationObject houseResourceAssociationObject);

    HouseResourceAssociationObject selectHouseResourceObjectAssociationById(String id);

    void updateHouseResourceObjectAssociation(HouseResourceAssociationObject houseResourceAssociationObject);

    void deleteHouseResourceObjectAssociationById(String id);

    void deleteByHouseResourceId(String houseResourceId);

    List<HouseResourceAssociationObject> selectHouseResourceObjectAssociationByHouseResourceIdType(@Param("houseResourceId") String houseResourceId);
}
